package com.bizmatics.mhfire.controller.web;

import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.mhfire.persistence.mapper.vo.AlFsdAllRequest;
import com.bizmatics.mhfire.service.AlFsdAllService;
import com.bizmatics.mhfire.service.vo.AlFsdAllVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author yq
 * @date 2021/5/25 17:14
 * 行政许可-消防安检申报总
 */
@RestController
@RequestMapping("alFsdAll")
public class AlFsdAllControllerWeb {

    @Autowired
    private AlFsdAllService alFsdAllService;


    /**
     * 获取行政许可的检查，受理，出文数量
     * @param alFsdAllRequest
     * @return
     */
    @PostMapping("alFsdAllNumber")
    private ApiResult<AlFsdAllVO> alFsdAllNumber(AlFsdAllRequest alFsdAllRequest){
        return ApiResult.success(alFsdAllService.getAlFsdAllNumber(alFsdAllRequest));
    }
}
