package com.bizmatics.mhfire.service.impl;

import com.bizmatics.mhfire.persistence.mapper.SiAeAllMapper;
import com.bizmatics.mhfire.service.SiAeAllService;
import com.bizmatics.mhfire.persistence.mapper.vo.SiAeAllRequest;
import com.bizmatics.mhfire.service.vo.SiAeAllVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author yq
 * @date 2021/5/25 15:29
 */
@Service
public class SiAeAllServiceImpl implements SiAeAllService {

    @Autowired
    private SiAeAllMapper siAeAllMapper;
    @Override
    public List<SiAeAllVO> getAeAllCollect(SiAeAllRequest siAeAllRequest) {
        List<SiAeAllVO> allVoS = new ArrayList<>();
        Map<String, Integer> aeAllCollect = siAeAllMapper.selectAeAllCollect(siAeAllRequest);
        //TODO 获取同比和环比时间
        for (String type:aeAllCollect.keySet()) {
            SiAeAllVO siAeAllVO = new SiAeAllVO();
            siAeAllVO.setCheckType(type);
            siAeAllVO.setNumber(aeAllCollect.get(type));
            allVoS.add(siAeAllVO);
        }
        return allVoS;
    }
}
