package com.bizmatics.mhfire.service.impl;

import com.bizmatics.mhfire.persistence.mapper.UnitBeOnDutyMapper;
import com.bizmatics.mhfire.service.UnitBeOnDutyService;
import com.bizmatics.mhfire.persistence.mapper.po.UnitBeOnDutyPO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @author yq
 * @date 2021/5/27 15:18
 */
@Service
public class UnitBeOnDutyServiceImpl implements UnitBeOnDutyService {

    @Autowired
    private UnitBeOnDutyMapper unitBeOnDutyMapper;
    @Override
    public UnitBeOnDutyPO getOne(String id) {
        return enhanceUnitBeOnDutyPo(unitBeOnDutyMapper.getOne(id));
    }


    public UnitBeOnDutyPO enhanceUnitBeOnDutyPo(Map<String,Object> unitBeOnDutyMap){
        UnitBeOnDutyPO unitBeOnDutyPo = new UnitBeOnDutyPO();
        unitBeOnDutyPo.setLead(unitBeOnDutyMap.get("值班人员姓名").toString());
        //TODO 值班信息全部没有
        return unitBeOnDutyPo;
    }
}
